{ lib, rustPlatform }:

with builtins;
with lib;

let cargoToml = (fromTOML (readFile ./Cargo.toml));
in

rustPlatform.buildRustPackage rec {
  pname = cargoToml.package.name;
  version = cargoToml.package.version;
  src = ./.;

  cargoLock = {
    lockFile = src + /Cargo.lock;
  };

}
